def prettify(val: str) -> str:
    return val.removeprefix("<!--").removesuffix("-->").strip()

lines = []

while True:
    try:
        lines.append(prettify(input()))
    except EOFError:
        break

print("\n".join(lines))
